.Dd Apr 25, 2010
.Dt weller 1
.Sh NAME
.Nm weller
.Nd Console Client for Pickwick Chat Server
.Sh SYNOPSIS
.Nm weller Oo -t Ao filename Ac Oc Ao hostname Ac Oo Ao port Ac Oc
.Sh DESCRIPTION
Weller is the client program for the pickwick(8) small group chat server.
Weller requires the hostname on which pickwick is listening to be provided
as a command-line argument.  If pickwick is not listening on port 7331,
then the appropriate port number must be provided as a second command-line
argument.  The arguments may be preceded by the "-t" option to specify a
file in which to store a transcript of the chat session.
.Pp
To stop remote clients' output from affecting the local client's screen,
the display may be locked.  To toggle the display lock, input a blank line.
Any messages from the server which arrive while the screen is locked will
be buffered, up to 128k worth of data.  Further incoming data is discarded.
.Pp
Weller does not perform line-wrapping at word boundaries.  It leaves the
terminal in canonical mode, and so will not receive an input message until
the user presses [enter].  This also means all editing is accomplished with
the standard terminal Control-H (backspace), Control-W, and Control-U
line-editing commands.  Control-D exits the chat session.
.Pp
Pickwick understands a small command set:
.Bl -column -offset left ":exit" "show who is online" ":qui, :qu, :q"
.It Sy Command Ta Sy Action          Ta Sy Abbreviations
.It Li :who    Ta show who is online Ta :, :w, :wh
.It Li :exit   Ta close connection   Ta :exi, :ex, :e
.It Li :quit   Ta close connection   Ta :qui, :qu, :q
.It Li :help   Ta show command list  Ta :hel, :he, :h
.El
.Pp
All other input is chat input.  The chat input any one client generates is
distributed to all clients.
.Sh AUTHORS
.An James Bailie Aq jimmy@mammothcheese.ca
.br
http://www.mammothcheese.ca
